* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  /* width: 100%; */
  /* height: 100vh; */
  background: #eee;
  overflow: hidden;
}

#container {
  opacity: 0;
  position: absolute;
  visibility: hidden;
  /* display: none; */
  width: inherit;
  height: inherit;  
  align-items: center;
  justify-content: center;
  transition: opacity .5s;
}

#baner {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('assets/03-min.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  transition: opacity 1s ease-in;
  opacity: 0;
  overflow: hidden;
}

#back {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('assets/04-min.gif');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  opacity: 0;
  transition: opacity .2s ease-in;
  pointer-events: auto;
}
#finalScene {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
  opacity: 0;
  background-color: #121111;
  transition: opacity .2s ease-in;
  pointer-events: none;
}
#txt-2 {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: 80%;
  background-repeat: no-repeat;
  background-position: center center;
  opacity: 0;
  background-image: url(assets/copy_2.png);
  transition: opacity .2s ease-in;
  pointer-events: none;
  filter: drop-shadow(2px 4px 20px black);
}
#cta {
  display: block;
  position: absolute;
  opacity: 0;
  background-image: url('assets/cta_end.png');
  background-size: contain;
  background-repeat: no-repeat;
  width: 76%;
  height: 13%;
  /* left: 34%; */
  bottom: 10%;
  /* transform: translate(-50%, -80%); */
  transition: opacity 1s;
  pointer-events: none;
  animation-name: txtAnimation;
  animation-duration: .8s;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
}
#black {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('assets/01-min.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  transition: opacity 1s ease-in;
  background-color: #000000;
}

#header {
  display: flex;
  /* visibility: hidden; */
  position: absolute;
  width: 100%;
  height: 12%;
  top: 5%;
  /* right: 4.5vw; */
  pointer-events: none;
  align-content: flex-start;
  justify-content: flex-end;
  align-items: flex-start;
}

#texts {
  position: absolute;
  width: 100vw;
  top: 17vh;
  height: 25vh;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

#card {
  /* bottom:0; */
  width: 100vw;
  height: 191.17vw;
  /* position: absolute; */
  user-select: none;
}

#logo {
  width: 100%;
  height: 100%;
  background-image: url('assets/logo.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: drop-shadow(2px 4px 20px black);
}

#txt1 {
  position: relative;
  width: 80vw;
  height: 14.4vw;
  background-size: cover;
  animation-name: txt1Animation;
  animation-duration: .3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
}

@keyframes txt1Animation {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}

#txt2 {
  position: relative;
  width: 70vw;
  height: 12.17vw;
  background-size: cover;
  top: -14px;
}

.vdo {
  width: 100%;
  height: 100%;
  /* background-color: aqua; */
}

@keyframes handAnimation {
  0% {
    transform: translateY(5%);
  }

  50% {
    transform: translateY(0%);
  }

  100% {
    transform: translateY(5%);
  }
}

@keyframes txtAnimation {
  0% {
    transform: scale(1) ;
  }

  50% {
    transform: scale(1.1) ;
  }

  100% {
    transform: scale(1) ;
  }
}

#hand {
  visibility: hidden;
  position: absolute;
  opacity: 0;
  background-image: url('assets/zelazko.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: bottom;
  width: 70%;
  height: 60%;
  bottom: 0;
  transition: opacity 1s;
  pointer-events: none;
  animation-name: handAnimation;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
}
#txt_bottom {
    position: absolute;
    display: flex;
    height: 27%;
    width: 100%;
    bottom: 50%;
    box-sizing: border-box;
    padding: 20px;
    opacity: 0;
    /* background-color: #000000; */
    align-items: center;
    justify-content: center;
    transition: opacity .3s ease-in;
    pointer-events: none;
}

#txt {
  visibility: hidden;
  position: absolute;
  opacity: 0;
  background-image: url('assets/txtStart.png');
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  width: 100%;
  height: 80%;
  /* left: 14%; */
  /* top: 29%; */
  /* transform: translate(-50%, -80%); */
  transition: opacity 1s;
  pointer-events: none;
  animation-name: txtAnimation;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-timing-function: ease;
}

#iron{
  position: absolute;
  width: 60vw;
  height: 60vw;
  background-image: url('assets/zelazko-bez.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 1s;
  margin-left:-30%;
  margin-top:-50%;
  transform:scale(2);
}

#mobile {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('assets/rotate.gif');
  background-size: 100px 100px;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-color: rgb(198, 196, 196);
}

#txt-final{
  width:100%;
  height: 100%;
  /* background-image: url('assets/txt.png'); */
  background-repeat: no-repeat;
  background-position: center;
  background-size: 80%;
  pointer-events: none;
}
#przypis{
  width:100%;
  height: 100%;
  background-image: url('assets/przypis.png');
  background-repeat: no-repeat;
  background-position: center bottom;
  background-size: 80%;
  margin-top: -5%;
  pointer-events: none;
}

@media screen and (orientation:landscape) {
  #baner {
    display: none;
  }

  #mobile {
    display: block;
  }
}

@media screen and (orientation:portrait) {
  #baner {
    display: flex;
    align-items: flex-start;
    justify-content: center;
  }

  #mobile {
    display: none;
  }
}